unit UFormLookupTable;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  UGrammer;

type

  { TFormLookupTable }

  TFormLookupTable = class(TForm)
    ButtonCancel: TButton;
    ButtonOk: TButton;
    EditName: TEdit;
    Label1: TLabel;
  private

  public
    procedure LoadData(LookupTable: TLookupTable);
    procedure SaveData(LookupTable: TLookupTable);
  end;

var
  FormLookupTable: TFormLookupTable;

implementation

{$R *.lfm}

{ TFormLookupTable }

procedure TFormLookupTable.LoadData(LookupTable: TLookupTable);
begin
  EditName.Text := LookupTable.Name;
end;

procedure TFormLookupTable.SaveData(LookupTable: TLookupTable);
begin
  LookupTable.Grammer.Modified := True;
  LookupTable.Name := EditName.Text;
end;

end.

