program generator;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, UCore, Common, TemplateGenerics, UFormMain, SysUtils, UBuilder,
  UFormRules, UFormLookupTables, UFormLookupTable
  { you can add units after this };

{$R *.res}

{$IFDEF DEBUG}
const
  HeapTraceLog = 'heaptrclog.trc';
{$ENDIF}

begin
  {$IFDEF DEBUG}
  // Heap trace
  DeleteFile(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  {$ENDIF}

  Application.Title := 'Language generator';
  RequireDerivedFormResource := True;
  Application.Initialize;
  Application.CreateForm(TCore, Core);
  Application.CreateForm(TFormMain, FormMain);
  Application.CreateForm(TFormRules, FormRules);
  Application.CreateForm(TFormLookupTable, FormLookupTable);
  Application.Run;
end.

